glib-0.13.4.1: Binding to the GLIB library for Gtk2Hs.

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

System.Glib.GParameter

Description

Storable instance for GParameter, used by objectNew

# Documentation

newtype GParameter #

Constructors

GParameter (String, GValue) |

Instances

Storable GParameter # |
Methods sizeOf :: GParameter -> Int # alignment :: GParameter -> Int # peekElemOff :: Ptr GParameter -> Int -> IO GParameter # pokeElemOff :: Ptr GParameter -> Int -> GParameter -> IO () # peekByteOff :: Ptr b -> Int -> IO GParameter # pokeByteOff :: Ptr b -> Int -> GParameter -> IO () # peek :: Ptr GParameter -> IO GParameter # poke :: Ptr GParameter -> GParameter -> IO () #